> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.upwardli.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server.

# Retrieve Credit Insights Overview V 2

GET https://api.upwardli.com/v2/credit-insights/{consumer_external_id}/summary/

Get credit insights overview

Reference: https://developers.upwardli.com/api-access/api-reference/credit-insights/retrieve-credit-insights-overview-v-2

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.upwardli.com` (Production, default)
- `https://api-sandbox.upwardli.com` (Sandbox)

## Request

### Path parameters

- `consumer_external_id` (string, required)

## Response

### 200

- `credit_score_card` (CreditInsightsOverviewV2CreditScoreCard, required)
- `credit_score_history` (list of CreditInsightsOverviewV2CreditScoreHistoryItems, required)

## Types

### CreditInsightsOverviewV2CreditScoreCard

- `report_date` (string, required)
- `score` (integer, optional)
- `change` (integer, optional)
- `credit_usage` (integer, optional)
- `total_tradelines` (integer, optional)
- `payment_history` (integer, optional)
- `credit_inquiries` (integer, optional)
- `credit_age` (integer, optional)
- `debt_collection_count` (integer, optional)
- `late_payment_percentage` (integer, optional)
- `total_public_records` (integer, optional)
- `total_open_revolving_accounts` (integer, optional)
- `total_open_collection_accounts` (integer, optional)
- `total_bankruptcies` (integer, optional)
- `credit_report_status` (enum, optional)
  - Allowed values: `NotOrdered`, `Ordered`, `Fulfilled`, `Frozen`, `Rejected`, `Failed`, `Error`, `NoCredit`

### CreditInsightsOverviewV2CreditScoreHistoryItems

- `score` (integer, required)
- `month` (string, optional)

## Examples

**Response**

```json
{
  "credit_score_card": {
    "report_date": "2024-01-15T09:30:00Z",
    "score": 1,
    "change": 1,
    "credit_usage": 1,
    "total_tradelines": 1,
    "payment_history": 1,
    "credit_inquiries": 1,
    "credit_age": 1,
    "debt_collection_count": 1,
    "late_payment_percentage": 1,
    "total_public_records": 1,
    "total_open_revolving_accounts": 1,
    "total_open_collection_accounts": 1,
    "total_bankruptcies": 1,
    "credit_report_status": "NotOrdered"
  },
  "credit_score_history": [
    {
      "score": 1,
      "month": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/credit-insights/consumer_external_id/summary/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```